People
Get person details by UUIDs
Returns details for specified persons
POST
/
api
/
{portfolio}
/
portfolios
/
v1
/
people
/
get_by_uuids
Get person details by UUIDs
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/people/get_by_uuids \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"personUuids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/people/get_by_uuids"
payload = { "personUuids": ["3fa85f64-5717-4562-b3fc-2c963f66afa6", "3fa85f64-5717-4562-b3fc-2c963f66afa7"] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
personUuids: ['3fa85f64-5717-4562-b3fc-2c963f66afa6', '3fa85f64-5717-4562-b3fc-2c963f66afa7']
})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/people/get_by_uuids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"personUuid": "123e4567-e89b-12d3-a456-426614174000",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "5551234567",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"isPrimary": true,
"tenantUuid": "123e4567-e89b-12d3-a456-426614174000",
"isActive": true,
"rentalRecordUuids": [
"123e4567-e89b-12d3-a456-426614174000",
"123e4567-e89b-12d3-a456-426614174001"
]
}
]Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Array of person UUIDs to retrieve details for
Example:
[
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
Response
Person details retrieved
Person UUID
Example:
"123e4567-e89b-12d3-a456-426614174000"
First name
Example:
"John"
Last name
Example:
"Doe"
Email address
Example:
"john.doe@example.com"
Phone number
Example:
"5551234567"
Creation date
Example:
"2024-01-01T00:00:00.000Z"
Last update date
Example:
"2024-01-01T00:00:00.000Z"
True if this person is a primary person for an account
Example:
true
Account UUID associated with the person, or null if there is no account
Example:
"123e4567-e89b-12d3-a456-426614174000"
True if they have any active unit rental records
Example:
true
Array of unit rental record UUIDs associated with the person
Example:
[
"123e4567-e89b-12d3-a456-426614174000",
"123e4567-e89b-12d3-a456-426614174001"
]
⌘I
Get person details by UUIDs

